/*
 * BrownBox.java
 *
 * Created on 24 mai 2005, 10:40
 */

package examples;

import java.awt.Color;
import java.awt.Image;
import sema.Box;
import sema.Drawing;
import sema.Map;

/**
 *
 * @author Boris
 */
public class BrownBox extends Box {
    
    /** Creates a new instance of BrownBox */
    public BrownBox(Map map, Drawing drawing, int x, int y, float height, String kind, Image image) {
        super(map,drawing,x,y,height,kind,image);
    }
    
    private Color green = new Color(84f/255,184f/255,18f/255);

    public void draw() {
        float bl = map.boxLength;
        g.setColor(green);
        g.fillRect(x*bl,y*bl,bl,bl);
        //g.drawImage(image,x*bl,y*bl,bl,bl);
    }
    
    
}
